<?php
/*
  * @package plugin searchcustomhtml for Joomla! 4.x
 * @version $Id: searchcustomhtml 1.0.0 2023-01-02 01:10:10Z $
 * @author KWProductions Co.
 * @copyright (C) 2022- KWProductions Co.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 
 This file is part of searchcustomhtml.
    searchcustomhtml is free software: you can redistribute it and/or adify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
    searchcustomhtml is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for are details.
    You should have received a copy of the GNU General Public License
    along with searchcustomhtml.  If not, see <http://www.gnu.org/licenses/>.
 
*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Installer\InstallerScript;

class Pkg_SearchcustomhtmlInstallerScript extends InstallerScript
{
 public function install($parent)
 {
  
   
  $db  = Factory::getDbo();
  $query = $db->getQuery(true);
  $query->update('#__extensions');
  $query->set($db->quoteName('enabled') . ' = 1');
  $query->where($db->quoteName('element') . ' = ' . $db->quote('searchcustomhtml'));
  $query->where($db->quoteName('type') . ' = ' . $db->quote('plugin'));
  $db->setQuery($query);
  $db->execute(); 
  
   $query = $db->getQuery(true);
  $query->update('#__extensions');
  $query->set($db->quoteName('enabled') . ' = 1');
  $query->where($db->quoteName('element') . ' = ' . $db->quote('updatecustomindex'));
  $query->where($db->quoteName('type') . ' = ' . $db->quote('plugin'));
  $db->setQuery($query);
  $db->execute(); 
  
    $query = $db->getQuery(true);
  $query->update('#__extensions');
  $query->set($db->quoteName('enabled') . ' = 1');
  $query->where($db->quoteName('element') . ' = ' . $db->quote('updateindexer'));
  $query->where($db->quoteName('type') . ' = ' . $db->quote('plugin'));
  $db->setQuery($query);
  $db->execute(); 
  
    $query = $db->getQuery(true);
  $query->update('#__extensions');
  $query->set($db->quoteName('enabled') . ' = 1');
  $query->where($db->quoteName('element') . ' = ' . $db->quote('updatecustomlist'));
  $query->where($db->quoteName('type') . ' = ' . $db->quote('plugin'));
  $db->setQuery($query);
  $db->execute(); 
  
    $query = $db->getQuery(true);
  $query->update('#__extensions');
  $query->set($db->quoteName('enabled') . ' = 1');
  $query->where($db->quoteName('element') . ' = ' . $db->quote('updatemodulesview'));
  $query->where($db->quoteName('type') . ' = ' . $db->quote('plugin'));
  $db->setQuery($query);
  $db->execute(); 
  
  		$query = $db->getQuery(true);
        $query->select('*')->from($db->quoteName('#__finder_types'))->where($db->quoteName('title').'='.$db->quote('Custom'));
		$db->setQuery($query);
		$result = $db->loadObject();
		
		if($result===NULL):
   
		$query = $db->getQuery(true);

$columns = array('title', 'mime');


$values = array($db->quote('Custom'), $db->quote(''));

$query
    ->insert($db->quoteName('#__finder_types'))
    ->columns($db->quoteName($columns))
    ->values(implode(',', $values));

$db->setQuery($query);
$db->execute();
     endif;
	 
	 
	 
		
	
		
		
		$query = $db->getQuery(true);
		$query->select($db->quoteName("id"))->from($db->quoteName("#__menu"));
		$db->setQuery($query);
		$menuids = $db->loadObjectList();
		
		     $query =  $db->getQuery(true);         
				 
			     $query->select('mm.moduleid, mm.menuid ')                  				 
               ->from($db->quoteName('#__modules', 'a'))	
               ->join('LEFT', $db->quoteName('#__modules_menu','mm') .' ON '. $db->quoteName('a.id').' = '. $db->quoteName('mm.moduleid') )	
	          ->where($db->quoteName('a.module').' = '.$db->quote('mod_custom'));
			  $db->setQuery($query);
			  $ammids = $db->loadObjectList();
			
			$mmids = [];
			$i=0;
			 foreach($ammids as $mmid):
				if($mmid->menuid !== NULL && $mmid->moduleid !== NULL){
					$mmids[$i] = new stdClass();
				    $mmids[$i]->moduleid = $mmid->moduleid;
					$mmids[$i]->menuid = $mmid->menuid;
					$i++;
				}
			 endforeach;
			 		 
			 foreach($mmids as $mmid):
			 
			 switch ($mmid->menuid):
			 
			 case 0:
			 
			
			   $query = $db->getQuery(true);
                $conditions = array($db->quoteName('moduleid')."=".$db->quote($mmid->moduleid));
                $query->delete($db->quoteName('#__modules_menu'));
                $query->where($conditions);
                $db->setQuery($query);
                $result = $db->execute();
			 
			 foreach($menuids as $menuid):	
			 //NO NEED TO CHECK THE MENUID IS ZERO 
                 /* $query = $db->getQuery(true);
					$query->select('*')->from($db->quoteName('#__modules_menu'))
					->where($db->quoteName('menuid').'='.$db->quote($menuid->id))
					->where($db->quoteName('moduleid').'='.$db->quote($mmid->moduleid));
					$db->setQuery($query);
					$result = $db->loadObject();
                    
					if($result===NULL){*/

		 
			 			   $query = $db->getQuery(true);
                    $columns = array('moduleid', 'menuid');
                    $values = array($db->quote($mmid->moduleid), $db->quote($menuid->id));
                    $query->insert($db->quoteName('#__modules_menu'))->columns($db->quoteName($columns))->values(implode(',', $values));
                    $db->setQuery($query);
                    $db->execute();	 
					
					//}
			 
			 endforeach;
			 
			 
			 
			 break;
			 
			 case ($mmid->menuid<0):	
			
			 
			  $query = $db->getQuery(true);
					$query->select('*')->from($db->quoteName('#__modules_menu'))
					->where($db->quoteName('menuid').'< 0')
					->where($db->quoteName('moduleid').'='.$db->quote($mmid->moduleid));
					$db->setQuery($query);
					$minusids = $db->loadObjectList();
			
					
			 if(count($minusids)>0)		
			 {
				 
				 
			 			        foreach($minusids as $minusid):
								
								 $query = $db->getQuery(true);
                $conditions = array($db->quoteName('moduleid')."=".$db->quote($mmid->moduleid), $db->quoteName('menuid') . ' = '.$db->quote($minusid->menuid));
                $query->delete($db->quoteName('#__modules_menu'));
                $query->where($conditions);
                $db->setQuery($query);
                $result = $db->execute();
								
								endforeach;  
					
            
             foreach($menuids as $menuid):	
			 $flag = 0;
			 //instead of flag use select query where like minus id
			 //if result is null, then add, if true remove delete, no flag
			        foreach($minusids as $minusid):
					
					     if(preg_match('/'.$menuid->id.'/', $minusid->menuid))
						 {
							
							 $flag = 1;
							 break;
						 }
					
					endforeach;
					
					if($flag==0)
					{
						
                    $query = $db->getQuery(true);
                    $columns = array('moduleid', 'menuid');
                 //   $values = array($mmid->moduleid, $menuid->id);
					$values = array($db->quote($mmid->moduleid), $db->quote($menuid->id));
				    $query->insert($db->quoteName('#__modules_menu'))->columns($db->quoteName($columns))->values(implode(',', $values));
                    $db->setQuery($query);
                    $res = $db->execute();	 
					
					}
					
			 
             endforeach;
			 

			 }
			 
			 break;
			 
		
			 
			 endswitch;
			 
			 endforeach;
			  
		
	 	
	
   
  
 }
   public function uninstall($parent) 
  {
	   $db  = Factory::getDbo();
	       
       $query = "DROP IF EXISTS TABLE `#__mod_custom_titles`";
	   $db->setQuery($query);
			$db->execute();
			
		$query = $db->getQuery(true);
        $query->select('*')->from($db->quoteName('#__finder_types'))->where($db->quoteName('title').'='.$db->quote('Custom'));
		$db->setQuery($query);
		$result = $db->loadObject();
		
		if($result!==NULL):
				$query = $db->getQuery(true);
                $query->delete($db->quoteName('#__finder_types'))->where($db->quoteName('title').'='.$db->quote('Custom'));
				$db->setQuery($query);
				$db->execute();
		endif;
  }
}
